Bug 62234 - warnings/errors from LTO cannot be tested
Summary: warnings/errors from LTO cannot be tested
Status: NEW
Alias: None
Product: gcc
Classification: Unclassified
Component: testsuite (show other bugs)
Version: 5.0
: P3 normal
Target Milestone: ---
Assignee: Not yet assigned to anyone
URL:
Keywords: diagnostic, patch
Depends on:
Blocks: 65536 61913
  Show dependency treegraph
 
Reported: 2014-08-22 18:34 UTC by Manuel López-Ibáñez
Modified: 2021-02-15 13:18 UTC (History)
9 users (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed: 2014-08-26 00:00:00


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Manuel López-Ibáñez 2014-08-22 18:34:01 UTC
As discussed here: https://gcc.gnu.org/bugzilla/show_bug.cgi?id=61913#c11

there is no way to test warnings/errors produced by LTO, so whatever we add is due to get broken sooner or later (or be broken from the start like PR61913 shows).

Please, can someone with dejagnu foo fix this?
Comment 1 Richard Biener 2014-08-26 10:56:09 UTC
Confirmed.
Comment 2 Manuel López-Ibáñez 2015-03-24 08:52:48 UTC
Keep track of all the bugs that do not have tests because of this one.
Comment 3 Jan Hubicka 2015-04-30 03:09:57 UTC
https://gcc.gnu.org/ml/gcc-patches/2015-04/msg01538.html has a testcase that should be added once this is fixed.
Comment 4 Eric Gallager 2018-02-13 20:57:48 UTC
(In reply to Jan Hubicka from comment #3)
> https://gcc.gnu.org/ml/gcc-patches/2015-04/msg01538.html has a testcase that
> should be added once this is fixed.

I don't see a testcase, just a patch...
Comment 5 Eric Gallager 2018-02-13 20:58:53 UTC
(In reply to Eric Gallager from comment #4)
> (In reply to Jan Hubicka from comment #3)
> > https://gcc.gnu.org/ml/gcc-patches/2015-04/msg01538.html has a testcase that
> > should be added once this is fixed.
> 
> I don't see a testcase, just a patch...

Oh wait never mind the testcase is at the top separate from the patch
Comment 6 David Malcolm 2018-02-13 21:29:39 UTC
I added support for this in r256801:
  dg-lto-warning and dg-lto-message
    https://gcc.gnu.org/ml/gcc-patches/2018-01/msg00257.html
Comment 7 Eric Gallager 2018-02-13 21:36:08 UTC
(In reply to David Malcolm from comment #6)
> I added support for this in r256801:
>   dg-lto-warning and dg-lto-message
>     https://gcc.gnu.org/ml/gcc-patches/2018-01/msg00257.html

So can this be closed as FIXED then?
Comment 8 David Malcolm 2018-02-13 21:37:42 UTC
Maybe keep it open until tests have been added for the various bugs referred to here?
Comment 9 Martin Sebor 2018-02-14 16:05:16 UTC
(In reply to David Malcolm from comment #6)
> I added support for this in r256801:
>   dg-lto-warning and dg-lto-message
>     https://gcc.gnu.org/ml/gcc-patches/2018-01/msg00257.html

Awesome!  It might be worth an email to the dev list to let people aware of the limitation know about this enhancement -- I know of least two bugs that I should add tests for now that this works.

It might also be helpful to update the README and mention this and the other dg-lto- directives.  Let me post one.
Comment 10 Eric Gallager 2018-08-20 23:44:04 UTC
(In reply to Martin Sebor from comment #9)
> (In reply to David Malcolm from comment #6)
> > I added support for this in r256801:
> >   dg-lto-warning and dg-lto-message
> >     https://gcc.gnu.org/ml/gcc-patches/2018-01/msg00257.html
> 
> Awesome!  It might be worth an email to the dev list to let people aware of
> the limitation know about this enhancement -- I know of least two bugs that
> I should add tests for now that this works.
> 
> It might also be helpful to update the README and mention this and the other
> dg-lto- directives.  Let me post one.

Did you do this? If so, link?